## What is this?

Unocck is a web tool that allows to easily check if a Mastodon or Mastodon compatible instance is censoring a given fediverse post.

## Setting up Unocck on a webserver

To set up Unocck on a webserver you just need it to support PHP, to make the “sec” directory writeable by the webserver’s user and to put into it a “conf.ini” file like this:

```
host=[hostname of the instance to check]
hostdesc=[a terse description of the instance, in html]
maintref=[a terse reference to you, in html]
token=[the access token of an application that you have already set up on an account on the instance defined by “host” (in Mastodon web UI you can set up an application under “Preferences” -> “Development”; the only privilege it needs is “read:search”)]
```

You can optionally also set a “footer” that will be added before the link to this repo in page footer, and a proxy to use for connections; for example:

```
footer=<a href="https://my.server/">Home</a>
proxy=tcp://localhost:8118
```

You can change Unocck icons and its “OG Image” by editing files inside the “imgs” directory.

## Are there running Unocck instances?

[Here](https://mastodon.help/unocck/) you can find a running Unocck instance checking mastodon.uno, a Mastodon instance whose admins are well known for [bad practices](https://qua.name/diorama/astroturfing-the-italophone-fediverse) and censoring those who criticize them.

If you set up your own and you want it to be listed here, please [let me know](mailto:jones@insicuri.net).
